#include "main.h"
#include "stdbool.h"
#include "stdint.h"
#include "string.h"


/*`````````````````````````````````````````````````````````````````````````````*
	Function name:  Delay_ms
	Description:  Creates a time gap in the program flow

	Parameters (1) :
  		time = Time in milliseconds

	Return value:  None
	Function call example:  Delay_ms(200); - creates a 200 millisecond time delay

*`````````````````````````````````````````````````````````````````````````````*/
void Delay_ms (uint16_t time);


// Dancing LEDs
void digital_write(char port, uint16_t pin, int state);
void digital_write_pwm(char port, uint16_t pin, int duty_cycle);
int digital_read(char port, uint16_t pin);
//void analog_write(char port, uint16_t pin, int state);

// Rolling display
void uart_recieve();
void uart_transmit();
