/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2022 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32l4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

void HAL_TIM_MspPostInit(TIM_HandleTypeDef *htim);

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define Onboard_LED_Pin GPIO_PIN_0
#define Onboard_LED_GPIO_Port GPIOH
#define R_Motor_IN3_Pin GPIO_PIN_2
#define R_Motor_IN3_GPIO_Port GPIOC
#define L_Motor_ENA_Pin GPIO_PIN_0
#define L_Motor_ENA_GPIO_Port GPIOA
#define R_Motor_ENB_Pin GPIO_PIN_1
#define R_Motor_ENB_GPIO_Port GPIOA
#define R_Motor_IN4_Pin GPIO_PIN_2
#define R_Motor_IN4_GPIO_Port GPIOA
#define L_Motor_IN2_Pin GPIO_PIN_4
#define L_Motor_IN2_GPIO_Port GPIOA
#define L_Motor_IN1_Pin GPIO_PIN_5
#define L_Motor_IN1_GPIO_Port GPIOA
#define L_IR_Pin GPIO_PIN_6
#define L_IR_GPIO_Port GPIOA
#define LC_IR_Pin GPIO_PIN_7
#define LC_IR_GPIO_Port GPIOA
#define R_US_Trig_Pin GPIO_PIN_14
#define R_US_Trig_GPIO_Port GPIOB
#define L_US_Echo_Pin GPIO_PIN_15
#define L_US_Echo_GPIO_Port GPIOB
#define RC_IR_Pin GPIO_PIN_6
#define RC_IR_GPIO_Port GPIOC
#define R_IR_Pin GPIO_PIN_7
#define R_IR_GPIO_Port GPIOC
#define R_US_Echo_Pin GPIO_PIN_8
#define R_US_Echo_GPIO_Port GPIOA
#define F_US_Echo_Pin GPIO_PIN_9
#define F_US_Echo_GPIO_Port GPIOA
#define F_US_Trig_Pin GPIO_PIN_10
#define F_US_Trig_GPIO_Port GPIOA
#define L_US_Trig_Pin GPIO_PIN_9
#define L_US_Trig_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
